;
;
; ==================================================
;
;   LEDS_308.asm    Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 03/03/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        LEDS Test
; ==================================================
;
; Subroutines for Dip Switch
;
; Dip Switch Test
LEDS_308:
           bset   0,PTFD       ; turn LED1 Off
           bset   1,PTFD       ; turn LED2 Off
           bset   2,PTFD       ; turn LED3 Off
           bset   3,PTFD       ; turn LED4 Off
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF

           jsr    Sci1Str3
           fdb    MLEDS        ; LEDS Test
           fdb    MTest
           fdb    MCRLF        
           jsr    Sci1Str5
           fdb    MSet         ; Set USER_EN Position 5 6
           fdb    MUSER_EN     ; 
           fdb    MPosit       ; 
           fdb    M5           ; 
           fdb    M6           ;
           jsr    Sci1Str3     ; 7 8 On
           fdb    M7
           fdb    M8
           fdb    MOn 
           
           jsr    PKey         ; Press any key to continue
; Verify all LEDS Off
           jsr    Sci1Str6     ; Verify all LEDS Off
           fdb    MCRLF
           fdb    MCRLF
           fdb    MVerify 
           fdb    Mall
           fdb    MLEDS
           fdb    MOff
           jsr    PKey         ; press any key to continue
; Check LED1
           bclr   0,PTFD       ; turn LED1 on
           jsr    Sci1Str6     ; Verify LED1 is On
           fdb    MCRLF
           fdb    MCRLF
           fdb    MVerify
           fdb    MLED1
           fdb    Mis
           fdb    MOn
           jsr    PKey        ; press any key to continue
; Check LED2
           bclr   1,PTFD       ; turn LED2 on
           jsr    Sci1Str6     ; Verify LED2 is On
           fdb    MCRLF
           fdb    MCRLF
           fdb    MVerify
           fdb    MLED2
           fdb    Mis
           fdb    MOn
           jsr    PKey        ; press any key to continue
; Check LED3
           bclr   2,PTFD       ; turn LED3 on
           jsr    Sci1Str6     ; Verify LED3 is On
           fdb    MCRLF
           fdb    MCRLF
           fdb    MVerify
           fdb    MLED3
           fdb    Mis
           fdb    MOn
           jsr    PKey        ; press any key to continue
; Check LED4
           bclr   3,PTFD       ; turn LED4 on
           jsr    Sci1Str6     ; Verify LED4 is On
           fdb    MCRLF
           fdb    MCRLF
           fdb    MVerify
           fdb    MLED4
           fdb    Mis
           fdb    MOn
           jsr    PKey        ; press any key to continue
; turn LEDs Off
           bset   0,PTFD      ; LED1 Off 
           bset   1,PTFD      ; LED2 Off
           bset   2,PTFD      ; LED3 Off
           bset   3,PTFD      ; LED4 Off

           rts
;
;