;
;
; ==================================================
;
;   Buz_308.asm     Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 02/14/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        Buzzer Test
; ==================================================
;
; Subroutines for Buzzer
;
; Buzzer Test
Buz_308:
           bclr   0,PTDD       ; make sure buzzer off
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF

           jsr    Sci1Str3
           fdb    MBuzzer      ; Buzzer Test
           fdb    MTest
           fdb    MCRLF        
           jsr    Sci1Str5
           fdb    MSet         ; Set COM_SW Position 8 On
           fdb    MCOM_SW      ; 
           fdb    MPosit       ; 
           fdb    M8           ; 
           fdb    MOn          ; 
           jsr    Sci1Str5
           fdb    MCRLF
           fdb    MVerify      ; Verify Buzzer is Off
           fdb    MBuzzer 
           fdb    Mis
           fdb    MOff
           jsr    PKey         ; Press any key to continue

           jsr    Sci1Str6
           fdb    MCRLF
           fdb    MCRLF
           fdb    MVerify      ; Verify Buzzer is On
           fdb    MBuzzer
           fdb    Mis
           fdb    MOn
           bset   0,PTDD       ; turn buzzer on 
           jsr    PKey   

           bclr   0,PTDD       ; turn buzzer off
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF
           jsr    Sci1Str5     ; Set COM_SW position 8 Off
           fdb    MSet
           fdb    MCOM_SW
           fdb    MPosit
           fdb    M8
           fdb    MOff     
           jsr    PKey         ; Press any key to continue


;           mov    #$01,PTDD
;            bclr   0,PTDD       ; turn buzzer off
;
;




           rts
;
;