;
;
; ==================================================
;
;   Dip_308.asm     Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 02/14/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        Dip Switch Test
; ==================================================
;
; Subroutines for Dip Switch
;
; Dip Switch Test
Dip_308:
           mov    #$0f,ADPE    ; turn A/D off on 4-7
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF

           jsr    Sci1Str5
           fdb    MSet         ; Set Dip Switch all off
           fdb    MDip_SW      ; Dip_SW
           fdb    MSwitch
           fdb    Mall
           fdb    MOff  
           jsr    Sci1Str6     ; Set USER-ENABLES position 1 On
           fdb    MCRLF
           fdb    MSet
           fdb    MUSER_EN      
           fdb    MPosit
           fdb    M1
           fdb    MOn
           jsr    PKey         ; Press any key to continue
           lda    PTBD         ; get dip switch, verify all zero
           and    #$f0         ; mask all dip
           bne    Dip308F      ; report fail
; Test Dip switch position one
           jsr    Sci1Str2     ; 
           fdb    MCRLF
           fdb    MCRLF   
           jsr    Sci1Str5     ; Set Dip_SW Position 1 On     
           fdb    MSet 
           fdb    MDip_SW    
           fdb    MPosit
           fdb    M1
           fdb    MOn           
;           jsr    PKey
Dip308D1:
           lda    PTBD        ; get dip switch
           and    #$10        ; get position one
           beq    Dip308D1
; Test Dip Switch position two
           jsr    Sci1Str2     ; 
           fdb    MCRLF
           fdb    MCRLF   
           jsr    Sci1Str5     ; Set Dip_SW Position 1 On     
           fdb    MSet 
           fdb    MDip_SW    
           fdb    MPosit
           fdb    M2
           fdb    MOn           
;           jsr    PKey
Dip308D2:
           lda    PTBD        ; get dip switch
           and    #$20        ; get position one
           beq    Dip308D2
; Test Dip Switch position three
           jsr    Sci1Str2     ; 
           fdb    MCRLF
           fdb    MCRLF   
           jsr    Sci1Str5     ; Set Dip_SW Position 1 On     
           fdb    MSet 
           fdb    MDip_SW    
           fdb    MPosit
           fdb    M3
           fdb    MOn           
;           jsr    PKey
Dip308D3:
           lda    PTBD        ; get dip switch
           and    #$40        ; get position one
           beq    Dip308D3
; Test Dip Switch position four
           jsr    Sci1Str2     ; 
           fdb    MCRLF
           fdb    MCRLF   
           jsr    Sci1Str5     ; Set Dip_SW Position 1 On     
           fdb    MSet 
           fdb    MDip_SW    
           fdb    MPosit
           fdb    M4
           fdb    MOn           
;           jsr    PKey
Dip308D4:
           lda    PTBD        ; get dip switch
           and    #$80        ; get position one
           beq    Dip308D4
;
           bra    Dip308P     ; report passed
;
; Dip Failed
Dip308F:
           jsr    Failed       ; report failed
           rts

;
Dip308P:
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF
           jsr    Sci1Str5
           fdb    MSet         ; Set Dip Switch all off
           fdb    MDip_SW      ; Dip_SW
           fdb    MSwitch
           fdb    Mall
           fdb    MOff  
           jsr    Sci1Str6     ; Set USER-ENABLES position 1 On
           fdb    MCRLF
           fdb    MSet
           fdb    MUSER_EN      
           fdb    MPosit
           fdb    M1
           fdb    MOff
           jsr    PKey         ; Press any key to continue
           jsr    Passed      ; report Passed
           rts
;
;