;
;
; ==================================================
;
;   RV1_308.asm     Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 03/03/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        RV1 Test
; ==================================================
;
; Subroutines for RV1 Pot
;
; RV1 Test
RV1_308:
   
           jsr    Sci1Str5
           fdb    MCRLF
           fdb    MCRLF
           fdb    MRV1         ; RV1 Test
           fdb    MTest
           fdb    MCRLF     
           jsr    Sci1Str5     ; Set USER_EN Position 3 On
           fdb    MSet
           fdb    MUSER_EN
           fdb    MPosit
           fdb    M3
           fdb    MOn   
           jsr    Sci1Str6     ; Turn RV1 Fully Counter Clockwise
           fdb    MCRLF
           fdb    MTurn        ; 
           fdb    MRV1         ; 
           fdb    MFully       ; 
           fdb    MCounter 
           fdb    MClockwi     ;
           jsr    PKey         ; Press any key to continue
; check RV1 full counter clockwise 
RV1308L:
           jsr    Sci1Str1
           fdb    MCRLF        ; new line
           jsr    Ana308_0     ; read RV1
           pshx                ; save low byte       Push 1
           pshh                ; save high byte      Push 2 
           pshh                ; save h for Acc a    Push 3
           pula                ; get high byte       Pull 3
           jsr    HEX2         ; send hex value     
           pulh                ;                     Pull 2
           pula                ; get low byte        Pull 1 
           psha                ; save low byte       Push 4
           pshh                ; save high byte      Push 5  
           jsr    HEX2         ; send low byte
           pulh                ; restore h
           pulx                ; restore x
           cphx  #$03F0        ; compare results
           blo    RV1308F      ; report fail
; check RV1 fully clockwise
           jsr    Sci1Str5     ; Turn RV1 Fully Clockwise
           fdb    MCRLF
           fdb    MTurn        ; 
           fdb    MRV1         ; 
           fdb    MFully       ; 
           fdb    MClockwi     ;
           jsr    PKey         ; Press any key to continue

           jsr    Sci1Str2
           fdb    MCRLF        ; new line
           fdb    MCRLF
           jsr    Ana308_0     ; read RV1
           pshx                ; save low byte       Push 1
           pshh                ; save high byte      Push 2 
           pshh                ; save h for Acc a    Push 3
           pula                ; get high byte       Pull 3
           jsr    HEX2         ; send hex value     
           pulh                ;                     Pull 2
           pula                ; get low byte        Pull 1 
           psha                ; save low byte       Push 4
           pshh                ; save high byte      Push 5  
           jsr    HEX2         ; send low byte
           pulh                ; restore h
           pulx                ; restore x
           cphx  #$0010        ; compare results
           bhi   RV1308F      ; report fail



;           jsr    PKey         ; pause
           jsr    Passed
   
           rts
;
;
RV1308F:
           jsr    Failed
           rts
;
;