;
;
; ==================================================
;
;   485_308.asm     Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 03/03/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        422 and 485 port Test
; ==================================================
;
; Subroutines for 422 and 485
;
; 422 and 485 port Test
S485_308:
           
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF

           jsr    Sci1Str5     ; 422 and 485 Test
           fdb    M422         ;
           fdb    Mand 
           fdb    M485
           fdb    MTest
           fdb    MCRLF        
           jsr    Sci1Str5
           fdb    MSet         ; Set COM_SW Position 1 7
           fdb    MCOM_SW      ; 
           fdb    MPosit       ; 
           fdb    M1           ; 
           fdb    M7           ;
           jsr    Sci1Str2     ; On Only
           fdb    MOn
           fdb    MOnly
           jsr    Sci1Str5     ; Install Jumper on 485_EN Pins 1 and 2
           fdb    MCRLF
           fdb    MInstall
           fdb    MJumper 
           fdb    MOn
           fdb    M485_EN
           jsr    Sci1Str4
           fdb    MPins
           fdb    M1
           fdb    Mand
           fdb    M2
; Connect Loop Back
           jsr    Sci1Str4     ; Short 422_485 Port
           fdb    MCRLF
           fdb    MShort
           fdb    M422_485
           fdb    MPort
           jsr    Sci1Str5     ; Pins 1 to 3
           fdb    MCRLF
           fdb    MPins
           fdb    M1
           fdb    Mto 
           fdb    M3
           jsr    Sci1Str5     ; Pins 2 to 4
           fdb    MCRLF
           fdb    MPins
           fdb    M2
           fdb    Mto
           fdb    M4
           
           jsr    PKey         ; Press any key to continue
; Test 422_485
           bset   7,PTFD       ; turn on 422_485
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF
           
; Start Loop Back Test on 422_485
           jsr    Sci1Str5 
           fdb    MCRLF
           fdb    MCRLF
           fdb    MLoop
           fdb    MBack
           fdb    MTest
    
; Send  $55 and verify result 
           lda    #$55

;S433L:
           jsr    Sci2_Out     ; send char
           jsr    DELAY50M     ; wait for response

;           bra    S433L

           jsr    INPUT2       ; get char
           cmpa   #$55         ; compare result
           bne    S422308L     ; report fail
; Send  $AA and verify result 
           lda    #$AA
           jsr    Sci2_Out     ; send char
           jsr    DELAY50M     ; wait for response
           jsr    INPUT2       ; get char
           cmpa   #$AA         ; compare result
           bne    S422308L     ; report fail




           jsr   Passed        ; report Passed   

           rts
;
;
S422308F:
          jsr    Failed        ; report Failed
          rts

;
S422308L:
          jsr    Sci1Str4
          fdb    MCRLF
          fdb    MCRLF
          fdb    MLoop
          fdb    MBack
          jsr    Failed
          rts
;
;